///
module.exports = {
  addMultiSigAddress: 'addmultisigaddress',
  addNode: 'addnode', //  v0.8.0+
  backupWallet: 'backupwallet',
  createMultiSig: 'createmultisig',
  createRawTransaction: 'createrawtransaction', //  v0.7.0+
  decodeRawTransaction: 'decoderawtransaction', //  v0.7.0+
  decodeScript: 'decodescript',
  dumpPrivKey: 'dumpprivkey',
  dumpWallet: 'dumpwallet', //  v0.9.0+
  encryptWallet: 'encryptwallet',
  estimateFee: 'estimatefee', //  v0.10.0x
  estimatePriority: 'estimatepriority', //  v0.10.0+
  generate: 'generate', //  v0.11.0+
  getAccount: 'getaccount',
  getAccountAddress: 'getaccountaddress',
  getAddedNodeInfo: 'getaddednodeinfo', //  v0.8.0+
  getAddressesByAccount: 'getaddressesbyaccount',
  getBalance: 'getbalance',
  getBestBlockHash: 'getbestblockhash', //  v0.9.0+
  getBlock: 'getblock',
  getBlockchainInfo: 'getblockchaininfo', //  v0.9.2+
  getBlockCount: 'getblockcount',
  getBlockHash: 'getblockhash',
  getBlockTemplate: 'getblocktemplate', //  v0.7.0+
  getChainTips: 'getchaintips', //  v0.10.0+
  getConnectionCount: 'getconnectioncount',
  getDifficulty: 'getdifficulty',
  getGenerate: 'getgenerate',
  getInfo: 'getinfo',
  getMempoolInfo: 'getmempoolinfo', //  v0.10+
  getMiningInfo: 'getmininginfo',
  getNetTotals: 'getnettotals',
  getNetworkInfo: 'getnetworkinfo', //  v0.9.2+
  getNetworkHashPs: 'getnetworkhashps', //  v0.9.0+
  getNewAddress: 'getnewaddress',
  getPeerInfo: 'getpeerinfo', //  v0.7.0+
  getRawChangeAddress: 'getrawchangeaddress', // bitcoin v0.9+
  getRawMemPool: 'getrawmempool', //  v0.7.0+
  getRawTransaction: 'getrawtransaction', //  v0.7.0+
  getReceivedByAccount: 'getreceivedbyaccount',
  getReceivedByAddress: 'getreceivedbyaddress',
  getTransaction: 'gettransaction',
  getTxOut: 'gettxout', //  v0.7.0+
  getTxOutProof: 'gettxoutproof', //  v0.11.0+
  getTxOutSetInfo: 'gettxoutsetinfo', //  v0.7.0+
  getUnconfirmedBalance: 'getunconfirmedbalance', //  v0.9.0+
  getWalletInfo: 'getwalletinfo', //  v0.9.2+
  help: 'help',
  importAddress: 'importaddress', //  v0.10.0+
  importPrivKey: 'importprivkey',
  importWallet: 'importwallet', //  v0.9.0+
  keypoolRefill: 'keypoolrefill',
  keyPoolRefill: 'keypoolrefill',
  listAccounts: 'listaccounts',
  listAddressGroupings: 'listaddressgroupings', //  v0.7.0+
  listLockUnspent: 'listlockunspent', //  v0.8.0+
  listReceivedByAccount: 'listreceivedbyaccount',
  listReceivedByAddress: 'listreceivedbyaddress',
  listSinceBlock: 'listsinceblock',
  listTransactions: 'listtransactions',
  listUnspent: 'listunspent', //  v0.7.0+
  lockUnspent: 'lockunspent', //  v0.8.0+
  move: 'move',
  ping: 'ping', //  v0.9.0+
  prioritiseTransaction: 'prioritisetransaction', //  v0.10.0+
  sendFrom: 'sendfrom',
  sendMany: 'sendmany',
  sendRawTransaction: 'sendrawtransaction', //  v0.7.0+
  sendToAddress: 'sendtoaddress',
  setAccount: 'setaccount',
  setGenerate: 'setgenerate',
  setTxFee: 'settxfee',
  signMessage: 'signmessage',
  signRawTransaction: 'signrawtransaction', //  v0.7.0+
  stop: 'stop',
  submitBlock: 'submitblock', //  v0.7.0+
  validateAddress: 'validateaddress',
  verifyChain: 'verifychain', //  v0.9.0+
  verifyMessage: 'verifymessage',
  verifyTxOutProof: 'verifytxoutproof', //  v0.11.0+
  walletLock: 'walletlock',
  walletPassphrase: 'walletpassphrase',
  walletPassphraseChange: 'walletpassphrasechange'
}
